%define pypi_name redis

Name:           python-%pypi_name
Version:        5.0.5
Release:        %mkrel 1
Summary:        Python client for Redis key-value store
License:        MIT
Group:          Development/Python
Url:            https://pypi.org/project/redis/
Source:         %pypi_source
BuildArch:      noarch
Provides: python-redis-py = %{version}-%{release}
Obsoletes: python-redis-py < 3

%description
Python client for Redis key-value store

%package -n python3-%{pypi_name}
Summary:        Python client for Redis key-value store
BuildRequires: pyproject-rpm-macros
BuildRequires:	python3
BuildRequires:  python3-setuptools
Provides: python3-redis-py = %{version}-%{release}
Obsoletes: python3-redis-py < 3

%description -n python3-%{pypi_name}
Python client for Redis key-value store

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files redis

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md




%changelog
* Tue Jul 02 2024 papoteur <papoteur> 5.0.5-1.mga10
+ Revision: 2078846
- new version 5.0.5

* Mon Jan 29 2024 papoteur <papoteur> 5.0.1-2.mga10
+ Revision: 2035918
- rebuild for python 3.12
- new version 5.0.1

* Sat Dec 09 2023 wally <wally> 4.3.4-2.mga10
+ Revision: 2016583
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 4.3.4-1.mga9
+ Revision: 1885206
- New version  4.3.4

* Sun Apr 10 2022 guillomovitch <guillomovitch> 4.2.2-1.mga9
+ Revision: 1848643
- new version 4.2.2

* Wed Mar 23 2022 umeabot <umeabot> 3.5.3-4.mga9
+ Revision: 1823383
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 3.5.3-3.mga9
+ Revision: 1783098
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.5.3-2.mga9
+ Revision: 1706089
- rebuild for python 3.9

* Fri Sep 25 2020 guillomovitch <guillomovitch> 3.5.3-1.mga8
+ Revision: 1630001
- new version 3.5.3

* Wed Mar 18 2020 guillomovitch <guillomovitch> 3.4.1-1.mga8
+ Revision: 1557699
- new version 3.4.1

* Sun Feb 16 2020 umeabot <umeabot> 3.3.11-2.mga8
+ Revision: 1536702
- Mageia 8 Mass Rebuild

* Wed Oct 23 2019 guillomovitch <guillomovitch> 3.3.11-1.mga8
+ Revision: 1455378
- new version 3.3.11

* Tue Oct 08 2019 guillomovitch <guillomovitch> 3.3.8-1.mga8
+ Revision: 1450513
- new version 3.3.8

* Sun Sep 15 2019 guillomovitch <guillomovitch> 3.3.7-1.mga8
+ Revision: 1441687
- drop python2 support
- new version 3.3.7

* Sun Mar 31 2019 guillomovitch <guillomovitch> 3.2.1-1.mga7
+ Revision: 1383711
- new version 3.2.1

* Tue Feb 19 2019 guillomovitch <guillomovitch> 3.2.0-1.mga7
+ Revision: 1368367
- new version 3.2.0

* Sun Feb 10 2019 guillomovitch <guillomovitch> 3.1.0-1.mga7
+ Revision: 1364990
- new version 3.1.0

* Thu Jan 10 2019 shlomif <shlomif> 3.0.1-3.mga7
+ Revision: 1354230
- add obsoletes for dup

* Thu Jan 10 2019 shlomif <shlomif> 3.0.1-2.mga7
+ Revision: 1354215
- Rebuild for python3 3.7

* Tue Nov 27 2018 guillomovitch <guillomovitch> 3.0.1-1.mga7
+ Revision: 1335959
- new version 3.0.1

* Thu Sep 20 2018 umeabot <umeabot> 2.10.3-8.mga7
+ Revision: 1289994
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.10.3-7.mga7
+ Revision: 1135605
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 2.10.3-6.mga6
+ Revision: 970816
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 tv <tv> 2.10.3-5.mga6
+ Revision: 888545
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.10.3-4.mga5
+ Revision: 745243
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.10.3-3.mga5
+ Revision: 729635
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.10.3-2.mga5
+ Revision: 688305
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 guillomovitch <guillomovitch> 2.10.3-1.mga5
+ Revision: 665987
- new version 2.10.3

* Sat Jun 28 2014 guillomovitch <guillomovitch> 2.10.1-1.mga5
+ Revision: 640543
- new version 2.10.1

* Sat May 31 2014 pterjan <pterjan> 2.9.1-2.mga5
+ Revision: 628987
- Rebuild for new Python

* Mon Feb 17 2014 guillomovitch <guillomovitch> 2.9.1-1.mga5
+ Revision: 593692
- new version 2.9.1

* Tue Oct 22 2013 umeabot <umeabot> 2.7.6-4.mga4
+ Revision: 544246
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.7.6-3.mga4
+ Revision: 499284
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 guillomovitch <guillomovitch> 2.7.6-2.mga4
+ Revision: 474862
- add python3 version

* Fri Aug 09 2013 guillomovitch <guillomovitch> 2.7.6-1.mga4
+ Revision: 464946
- new version

* Sun Jan 13 2013 umeabot <umeabot> 2.7.2-2.mga3
+ Revision: 379431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 guillomovitch <guillomovitch> 2.7.2-1.mga3
+ Revision: 338575
- new version

* Tue Aug 14 2012 guillomovitch <guillomovitch> 2.6.0-1.mga3
+ Revision: 281274
- new version

* Wed Feb 29 2012 guillomovitch <guillomovitch> 2.4.11-1.mga2
+ Revision: 216081
- imported package python-redis


* Wed Feb 29 2012 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.11-1.mga2
- initial mageia package
